%define module cloud_sptheme

Name:           python-%module
Version:        1.9.4
Release:        %mkrel 7
License:        GPLv3+
Summary:        Python cloud theme for sphinx
Group:          Development/Python
Url:		https://cloud-sptheme.readthedocs.io/
Source:         https://foss.heptapod.net/doc-utils/cloud_sptheme/-/archive/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx

%description
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%package -n python3-%{module}
Summary:        Python3 cloud theme for sphinx
Group:          Development/Python
Requires:	python3dist(sphinx)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
It contains a Sphinx theme named “Cloud”, and some related Sphinx extensions.

Cloud and its extensions are primarily oriented towards generating html
documentation for Python libraries. It provides numerous small enhancements
to make the html documentation html more interactive, improve the layout on
mobile devices, and other enhancements.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf cloud_sptheme.egg-info/

# Fix an error in the upstream project
#perl -pi -e "s/\\\\\`/'/" %{module}/make_helper.py
perl -pi -e "s/print "\(.*\)"$/print("$1")/" %{module}/make_helper.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc CHANGES README
%{python3_sitelib}/cloud_sptheme/
%{python3_sitelib}/cloud_sptheme-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.9.4-7.mga9
+ Revision: 1832705
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.9.4-6.mga9
+ Revision: 1780001
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.9.4-5.mga9
+ Revision: 1732783
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9.4-4.mga8
+ Revision: 1533980
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.9.4-3.mga8
+ Revision: 1446288
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 1.9.4-2.mga8
+ Revision: 1427273
- drop python2 support
- fix description
- update url

* Tue Jan 08 2019 shlomif <shlomif> 1.9.4-1.mga7
+ Revision: 1352172
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-3.mga7
+ Revision: 1288419
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.8.0-2.mga7
+ Revision: 1135341
- Rebuild for python 3.6
+ bcornec <bcornec>
- update to upstream python-cloud_sptheme 1.8.0

* Fri Feb 19 2016 umeabot <umeabot> 1.6-7.mga6
+ Revision: 971024
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.6-6.mga6
+ Revision: 889018
- rebuild for python 3.5

* Sat Oct 10 2015 tv <tv> 1.6-5.mga6
+ Revision: 888808
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 748933
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-3.mga5
+ Revision: 728186
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-2.mga5
+ Revision: 687935
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 bcornec <bcornec> 1.6-1.mga5
+ Revision: 674592
- Update a missing description for python3 package
- Adds a forgotten sha1 file
-Import python-cloud_sptheme to build python-hpilo doc
- Created package structure for python-cloud_sptheme.

